SETUPDISTARCH(1)

NAME
setupdistarch - Script to set CPANPLUS::Dist::Arch as the default packager for CPANPLUS

SYNOPSIS
Run this script from your command shell to set CPANPLUS to package all modules through CPANPLUS::Dist::Arch by default or to disable automatic packaging in CPANPLUS. setupdistarch also turns on recursive package installation and warns if sudo is not installed.

  $ setupdistarch
  Are you sure you want to auto-package CPAN installs? [Yn]
  CPANPLUS will now auto-package modules.

  $ setupdistarch --force
  CPANPLUS will now auto-package modules.

  $ setupdistarch --remove --force
  CPANPLUS will no longer auto-package modules.

  $ setupdistarch -h
  (Displays this usage information.)

DO NOT run this script with sudo or your configuration file will now be owned by root.

OPTIONS

-h, --help
    Print a brief help message and exit.

-m, --man
    Prints the manual page and exists.

-r, --remove
    Configures CPANPLUS to not use any packager when installing modules.

-f, --force
    Forces the changes to CPANPLUS configuration without prompting for confirmation. Might be useful when running as root uninteractively, for example.

DESCRIPTION
This script was created to make setting up or disabling CPANPLUS::Dist::Arch a little easier. Without using the force option, the user must confirm they want to change CPANPLUS's configuration.

If you run this script as root, it will change the SYSTEM-WIDE default for all CPANPLUS users. A warning message is displayed when run as root.

TROUBLESHOOTING

sudo
    DO NOT run this script with sudo or your CPANPLUS configuration file will become owned by root. To change it back, use sudo and chown on your configuration file. For example:

      sudo chown <yourname>.<yourgroup> ~/.cpanplus/lib/CPANPLUS/Config/User.pm

PATH
    This problem has been fixed in recent versions of Archlinux.

    Archlinux currently installs binaries from perl modules (like this one here) under the "/usr/bin/perlbin/vendor" directory. Make sure this is in your PATH environment variable if you are not typing the entire path.

    To the perl binary directories to your runtime PATH add something like the following to your /home/(username)/.profile file:

      export PATH=/bin:/usr/bin:/usr/bin/perlbin/core:/usr/bin/perlbin/vendor

AUTHOR
Created by: Justin Davis "<juster at cpan dot org>"

Serendipitously maintained by: John D Jones III "<jnbek at cpan dot org>"

COPYRIGHT & LICENSE
Copyright 2010-2015 Justin Davis, all rights reserved.

Copyright 2015 John D Jones III, all rights reserved

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.